public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Manuel Rüger" <mrueg@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-misc/cni-plugins/
Date: Mon, 19 Feb 2018 12:47:46 +0000 (UTC)	[thread overview]
Message-ID: <1519044451.b2957ed6b24c26de5281c022d008ef310c509ce7.mrueg@gentoo> (raw)

commit:     b2957ed6b24c26de5281c022d008ef310c509ce7
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 19 12:47:31 2018 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Mon Feb 19 12:47:31 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b2957ed6

net-misc/cni-plugins: Version bump to 0.7.0

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 net-misc/cni-plugins/Manifest                 |  1 +
 net-misc/cni-plugins/cni-plugins-0.7.0.ebuild | 36 +++++++++++++++++++++++++++
 2 files changed, 37 insertions(+)

diff --git a/net-misc/cni-plugins/Manifest b/net-misc/cni-plugins/Manifest
index 9769b751e95..a394c9f171e 100644
--- a/net-misc/cni-plugins/Manifest
+++ b/net-misc/cni-plugins/Manifest
@@ -1 +1,2 @@
 DIST cni-plugins-0.6.0.tar.gz 787756 BLAKE2B b22825388b0d74f3ea26f79e9df9663a0cbb499447423d1bff93ffb422667f2895d17ae53c27089dab3f724a43489818787c2d51f85bd25f957ef1e6913b8775 SHA512 4b3c1901154eb1af86dc35888fda7b7666ee88d2cf728fb09182df5385d32b747de34c5c01598e1f37ae1e3497dbf5af2bc6ad6f737e683ccfccf9c1860cf6dc
+DIST cni-plugins-0.7.0.tar.gz 862293 BLAKE2B 27f0565c76a720408ea7c2f54f0651fcc661735e238075b6dee597e97a5d07bcc2c111dc24434d5b57193e0f039a2ddbb6246205da6a58fc24f0201d04d79703 SHA512 c5f13850ffd455b269520f9b54a916d09dd5823fc1bf0920695a556015f17e0e680ee377f3f8df686836855c331ec0f827c68718773e87337a8b5761a4c5ad69

diff --git a/net-misc/cni-plugins/cni-plugins-0.7.0.ebuild b/net-misc/cni-plugins/cni-plugins-0.7.0.ebuild
new file mode 100644
index 00000000000..b07a467bf91
--- /dev/null
+++ b/net-misc/cni-plugins/cni-plugins-0.7.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit golang-vcs-snapshot
+
+KEYWORDS="~amd64"
+DESCRIPTION="Standard networking plugins for container networking"
+EGO_PN="github.com/containernetworking/plugins"
+HOMEPAGE="https://github.com/containernetworking/plugins"
+SRC_URI="https://${EGO_PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="hardened"
+
+src_compile() {
+	pushd src || die
+	local i
+	for i in plugins/{meta/{flannel,portmap,tuning},main/{bridge,host-device,ipvlan,loopback,macvlan,ptp,vlan},ipam/{dhcp,host-local},sample}; do
+		CGO_LDFLAGS="$(usex hardened '-fno-PIC ' '')" GOPATH="${WORKDIR}/${P}" go install -v "${EGO_PN}/${i}"
+	done
+	popd || die
+}
+
+src_install() {
+	exeinto /opt/cni/bin
+	doexe bin/*
+	pushd src/${EGO_PN} || die
+	dodoc README.md
+	local i
+	for i in plugins/{meta/{flannel,portmap,tuning},main/{bridge,host-device,ipvlan,loopback,macvlan,ptp,vlan},ipam/{dhcp,host-local},sample}; do
+		newdoc README.md ${i##*/}.README.md
+	done
+	popd || die
+}


             reply	other threads:[~2018-02-19 12:47 UTC|newest]

Thread overview: 38+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-02-19 12:47 Manuel Rüger [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-07-16 21:16 [gentoo-commits] repo/gentoo:master commit in: net-misc/cni-plugins/ William Hubbs
2022-07-16 21:08 William Hubbs
2022-02-25  9:25 Yixun Lan
2021-11-17  2:16 Sam James
2021-11-14  8:38 Sam James
2021-07-04  6:06 Georgy Yakovlev
2021-02-18  0:05 William Hubbs
2020-08-31 15:49 William Hubbs
2020-08-29 22:45 Sam James
2020-07-25 15:33 William Hubbs
2020-07-23 15:23 William Hubbs
2020-05-13 22:18 William Hubbs
2020-05-04 18:34 William Hubbs
2020-01-19 19:36 William Hubbs
2020-01-13 12:52 Mikle Kolyada
2020-01-06 22:28 William Hubbs
2019-11-19 12:36 Manuel Rüger
2019-11-19 12:36 Manuel Rüger
2019-10-07  9:53 Manuel Rüger
2019-08-15 13:05 Manuel Rüger
2019-08-13 14:23 Manuel Rüger
2019-08-13 14:23 Manuel Rüger
2019-07-08 14:23 Manuel Rüger
2019-06-06  9:33 Manuel Rüger
2019-05-14  8:20 Manuel Rüger
2019-04-10  9:09 Manuel Rüger
2019-04-03 14:05 Manuel Rüger
2019-03-29 12:54 Manuel Rüger
2019-03-28 14:15 Manuel Rüger
2019-03-28 14:15 Manuel Rüger
2019-01-29 22:42 Manuel Rüger
2018-11-08 15:37 Manuel Rüger
2018-09-20 22:39 Manuel Rüger
2018-08-03 17:02 Manuel Rüger
2018-06-15 14:31 Manuel Rüger
2018-04-26 21:38 Manuel Rüger
2017-09-13 11:45 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1519044451.b2957ed6b24c26de5281c022d008ef310c509ce7.mrueg@gentoo \
    --to=mrueg@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox